﻿$toolsDir = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"

$packageArgs = @{
  packageName    = $env:ChocolateyPackageName
  url            = 'https://github.com/brave/browser-laptop/releases/download/v0.23.79dev/BraveSetup-ia32.exe'
  url64          = 'https://github.com/brave/browser-laptop/releases/download/v0.23.79dev/BraveSetup-x64.exe'
  checksum       = '2743f049a208fae16f096d59838f47e2c5cfb33e3c2eb9f06cf05fa52437a88f'
  checksum64     = '5d895323f8949f57dc16ae24b3b52382f6c14efe527b7abc7e48382c37f0ea6b'
  checksumType   = 'sha256'
  checksum64Type = 'sha256'
}

Install-ChocolateyPackage @packageArgs

Get-ChildItem $toolsDir\*.exe | ForEach-Object { Remove-Item $_ -ea 0; if (Test-Path $_) { Set-Content "$_.ignore" } }
